Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Client_Thread_Helper Class Reference

`#include <Leader_Follower.h>`

Collaboration diagram for TAO_LF_Client_Thread_Helper:

[legend]
List of all members.

## Public Methods

| TAO_LF_Client_Thread_Helper (TAO_Leader_Follower &leader_follower)
| Constructor.
| ~TAO_LF_Client_Thread_Helper (void)
| Destructor.

## Private Attributes

TAO_Leader_Follower & | leader_follower_
| Reference to leader/followers object.

## Constructor & Destructor Documentation

ACE_INLINE TAO_LF_Client_Thread_Helper::TAO_LF_Client_Thread_Helper | ( | TAO_Leader_Follower & | leader_follower | ) |

| Constructor.

ACE_INLINE TAO_LF_Client_Thread_Helper::~TAO_LF_Client_Thread_Helper | ( | void |  | ) |

| Destructor.

## Member Data Documentation

TAO_Leader_Follower& TAO_LF_Client_Thread_Helper::leader_follower_`[private]`

| Reference to leader/followers object.

The documentation for this class was generated from the following files:

- Leader_Follower.h
- Leader_Follower.i